MARKBDD(3)

NAME
markBdd - marks all nodes of a BDD

SYNOPSYS
#include "logmmm.h"
void markBdd(pBdd,value)
pNode pBdd;
short value;

PARAMETERS

pBdd
    BDD to mark

value
    value to assign

DESCRIPTION
markBdd() assigns to value the field mark of all the nodes used in pBdd. This function is used for the garbage collection. When a node is created, its mark is set to 0 (the default value).

SEE ALSO
log(1), bdd(1), markAllBdd(3), numberNodeBdd(3), numberNodeAllBdd(3), gcNodeBdd(3).